Click or drag to resize

CustomRenderMeshProvider2WillBuildCustomMeshes Method (ViewportInfo, RhinoObject, RhinoDoc, Guid, DisplayPipelineAttributes)

[Missing <summary> documentation for "M:Rhino.Render.CustomRenderMeshProvider2.WillBuildCustomMeshes(Rhino.DocObjects.ViewportInfo,Rhino.DocObjects.RhinoObject,Rhino.RhinoDoc,System.Guid,Rhino.Display.DisplayPipelineAttributes)"]

Namespace:  Rhino.Render
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public abstract bool WillBuildCustomMeshes(
	ViewportInfo vp,
	RhinoObject obj,
	RhinoDoc doc,
	Guid requestingPlugIn,
	DisplayPipelineAttributes attrs
)

Parameters

vp
Type: Rhino.DocObjectsViewportInfo

[Missing <param name="vp"/> documentation for "M:Rhino.Render.CustomRenderMeshProvider2.WillBuildCustomMeshes(Rhino.DocObjects.ViewportInfo,Rhino.DocObjects.RhinoObject,Rhino.RhinoDoc,System.Guid,Rhino.Display.DisplayPipelineAttributes)"]

obj
Type: Rhino.DocObjectsRhinoObject

[Missing <param name="obj"/> documentation for "M:Rhino.Render.CustomRenderMeshProvider2.WillBuildCustomMeshes(Rhino.DocObjects.ViewportInfo,Rhino.DocObjects.RhinoObject,Rhino.RhinoDoc,System.Guid,Rhino.Display.DisplayPipelineAttributes)"]

doc
Type: RhinoRhinoDoc

[Missing <param name="doc"/> documentation for "M:Rhino.Render.CustomRenderMeshProvider2.WillBuildCustomMeshes(Rhino.DocObjects.ViewportInfo,Rhino.DocObjects.RhinoObject,Rhino.RhinoDoc,System.Guid,Rhino.Display.DisplayPipelineAttributes)"]

requestingPlugIn
Type: SystemGuid

[Missing <param name="requestingPlugIn"/> documentation for "M:Rhino.Render.CustomRenderMeshProvider2.WillBuildCustomMeshes(Rhino.DocObjects.ViewportInfo,Rhino.DocObjects.RhinoObject,Rhino.RhinoDoc,System.Guid,Rhino.Display.DisplayPipelineAttributes)"]

attrs
Type: Rhino.DisplayDisplayPipelineAttributes

[Missing <param name="attrs"/> documentation for "M:Rhino.Render.CustomRenderMeshProvider2.WillBuildCustomMeshes(Rhino.DocObjects.ViewportInfo,Rhino.DocObjects.RhinoObject,Rhino.RhinoDoc,System.Guid,Rhino.Display.DisplayPipelineAttributes)"]

Return Value

Type: Boolean

[Missing <returns> documentation for "M:Rhino.Render.CustomRenderMeshProvider2.WillBuildCustomMeshes(Rhino.DocObjects.ViewportInfo,Rhino.DocObjects.RhinoObject,Rhino.RhinoDoc,System.Guid,Rhino.Display.DisplayPipelineAttributes)"]

Version Information

Rhino for Windows

Supported in: 6.8
See Also